<template>
  <q-form @submit.prevent="onSubmit">
    <q-input
      v-model="updateForm.oldPassword"
      class="q-mb-md"
      outlined
      type="password"
      label="Mật khẩu cũ *"
    />
    <q-input
      v-model="updateForm.password"
      class="q-mb-md"
      outlined
      type="password"
      label="Mật khẩu mới *"
    />
    <q-input
      v-model="updateForm.confirmPassword"
      class="q-mb-md"
      outlined
      type="password"
      label="Xác nhận mật khẩu *"
    />

    <div class="q-mt-md">
      <q-btn label="Lưu" type="submit" color="primary" />
    </div>
  </q-form>
</template>

<script>
import { mapActions } from 'vuex';

export default {
  data() {
    return {
      updateForm: {
        oldPassword: '',
        password: '',
        confirmPassword: ''
      }
    };
  },
  methods: {
    ...mapActions({
      updateMyInfo: 'auth/updateMyInfo'
    }),
    async onSubmit() {
      await this.updateMyInfo(this.updateForm);
      this.updateForm = {
        oldPassword: '',
        password: '',
        confirmPassword: ''
      };
    }
  }
};
</script>
